WaMCP
Api referenceTenants

Update Webhook Url

Set or update the tenant's webhook URL.

PUT
/api/tenants/webhook-url

Set or update the tenant's webhook URL.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

webhook_url*Webhook Url

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/tenants/webhook-url" \  -H "Content-Type: application/json" \  -d '{    "webhook_url": "string"  }'
{
  "id": "string",
  "name": "string",
  "email": "[email protected]",
  "plan": "string",
  "active_wabas": 0,
  "webhook_url": "string",
  "webhook_secret": "string",
  "polar_customer_id": "string",
  "polar_subscription_id": "string",
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}